Subject: Summary: Fortran compiler in Linux Box

From: "Gustavo A. Mercier Jr" <[email-masked]>
Date: Tue, 30 Jun 1998 15:03:12 -0400 (EDT)

HI!

Here is the summary of responses to my query about fortran
compilers in Linux boxes...
---

---

From: "Peter Shenkin" <[email-masked]>
Date: Wed, 1 Jul 1998 16:46:01 -0400

On Jun 30,  3:03pm, Gustavo A. Mercier Jr wrote:
> Subject: CCL:Summary: Fortran compiler in Linux Box

To these I will add that our group has had excellent experience with
the Absoft f77 and f90 compilers for LINUX.  I believe they also
have a Windows version, so if you want to use both OS's, this might
be the way to go.  It's not cheap (ca. $900, as I recall), but one
of my group members who uses the LINUX version is extremely happy.

	-P.

> >From [email-masked]  Mon Jun  8 02:34:18 1998
> ... if you absolutely need to stick with PC, microsoft are selling
> a digital-made fortran 90 compiler for windows.

Actually, Digital is selling their own compiler for Windows which replaces
MicroSoft PowerStation Fortran.
 
 ...
>From [email-masked]  Mon Jun  8 04:10:51 1998
> I would like to point that recently there has become 
> available a free f90 compiler for Linux from the Pacific-Sierra 
> Research Corporation.  It looks encouraging, for example see:
> 
> http://www.psrv.com/
> 
> I have no first-hand assessment yet
 ...

-- 
*********** How can we have ethnic music without ethnic hatred? ***********
* Peter S. Shenkin; Chemistry, Columbia U.; 3000 Broadway, Mail Code 3153 *
** NY, NY  10027;  [email-masked];  (212)854-5143;  FAX: 678-9039 ***
*MacroModel WWW page: http://www.columbia.edu/cu/chemistry/mmod/mmod.html *

---

From: Rick Venable <[email-masked]>
Date: Wed, 1 Jul 1998 19:57:02 -0400 (EDT)

On Tue, 30 Jun 1998, Gustavo A. Mercier Jr wrote:
> My first recommendation would be to go with another hardware platform

Not mine, I can tell you that.  The Portland group makes an excellent
Fortran compiler for Linux, optimized for PPro and PII machines.  AbSoft
also makes a decent one, and may have a new version coming out soon. 
Also, the f2c/gcc combination is really pretty good as well.  All did
very well on CHARMM benchmarks.

> Nevertheless, if you absolutely need to stick with PC, microsoft are selling

Strike two.  The Microsoft compilers, especially the "Powerstation" 
series, get routinely roasted in the comp.lang.fortran newsgroup as
being buggy as the Maine woods in June, with the typical MS extremely
poor customer support.  For those afflicted with Windoze, there are at
least 4 or 5 other compilers better than anything MS has to offer.  
(Lahey, Salford, Watcom, AbSoft, ...)

--
Rick Venable                  =====\     |=|    "Eschew Obfuscation"
FDA/CBER Biophysics Lab       |____/     |=|
Bethesda, MD  U.S.A.          |   \    / |=|  ( Not an official statement or
[email-masked]  |    \  /  |=|    position of the FDA; for that,
http://nmr1.cber.nih.gov/           \/   |=|    see   http://www.fda.gov  )
http://www.erols.com/rvenable